{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  nextcloudLabel = "Nextcloud";
  nextcloudName = "nextcloud";
  nextcloudDomain = "${nextcloudName}.${domain0}";
in
{
  label = nextcloudLabel;
  name = nextcloudName;
  email = {
    address0 = "noreply@${nextcloudName}.${domain0}";
  };
  sops = {
    path0 = "${sopsPath}/${nextcloudName}";
  };
  domains = {
    url0 = nextcloudDomain;
  };
  subdomain = nextcloudName;
  paths = {
    path0 = "${servicePath}/${nextcloudLabel}";
  };
  ports = {
    port0 = 8354; # Nextcloud
  };
  ssl = {
    cert = "${sslPath}/${nextcloudName}.${domain0}/fullchain.pem";
    key = "${sslPath}/${nextcloudName}.${domain0}/key.pem";
  };
}
