{ colourHelpers, flake, ... }:
let
  inherit (flake.config.aesthetics.themes) windowManager;
in
{
  layout = {
    default-column-width = {
      proportion = 1.;
    };
    preset-column-widths = [
      { proportion = 1. / 3.; }
      { proportion = 1. / 2.; }
      { proportion = 2. / 3.; }
      { proportion = 1.; }
    ];
    border = {
      enable = true;
      width = windowManager.borders;
      active.color = colourHelpers.makeColour colourHelpers.el.base0E;
      inactive.color = colourHelpers.makeColour colourHelpers.el.base02;
    };
    gaps = windowManager.gaps;
    shadow = {
      enable = true;
      color = colourHelpers.el.base11;
      draw-behind-window = true;
      offset.x = 0;
      offset.y = 0;
      spread = 3;
    };
  };
}
